// Import your models and any needed services here
import {
  fetchBaseCountry,
  fetchCountryPermission,
  fetchTargetCountryByCountryId,
} from "../services/countryPermission.service.js";

export const listCountryPermission = async (req, res, next) => {
  try {
    // Extract headers from the request
    const { authorization, username } = req.headers;
    const countries = await fetchCountryPermission(authorization, username);
    res.json(countries);
  } catch (err) {
    next(err);
  }
};

export const listBaseCountry = async (req, res, next) => {
  try {
    // Extract headers from the request
    const { authorization, username } = req.headers;
    const countries = await fetchBaseCountry(authorization, username);
    res.json(countries);
  } catch (err) {
    next(err);
  }
};

export const listTargetCountryByCountryId = async (req, res, next) => {
  try {
    // Extract headers from the request
    const { authorization, username } = req.headers;
    const { countryId } = req.params;
    const countries = await fetchTargetCountryByCountryId(
      authorization,
      username,
      Number(countryId)
    );
    res.json(countries);
  } catch (err) {
    next(err);
  }
};
