import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';

@Injectable({
  providedIn: 'root',
})
export class BeneficiaryRegistrationCheckerService {
  constructor(private http: HttpClient) {}

  getCustomer(SearchType: any, FromDate: any, ToDate: any, SearchData: any) {
    return this.http.get(
      `${environment.apiUrl}/api/transaction/beneficiary-checker/all-record?SearchType=${SearchType}&FromDate=${FromDate}&ToDate=${ToDate}&SearchData=${SearchData}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  viewCustomer(ID: any = '') {
    return this.http.get(
      `${environment.apiUrl}/api/transaction/beneficiary-checker/view?ID=${ID}&ModuleID=286`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  approve(payload: any) {
    return this.http.post(
      `${environment.apiUrl}/api/transaction/beneficiary-checker/approve`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  reject(BeneficiaryNo: any = 0, UserID: any, IsAuth: any) {
    return this.http.post(
      `${environment.apiUrl}/api/transaction/beneficiary-checker/reject?BeneficiaryNo=${BeneficiaryNo}&IsAuth=${IsAuth}&UserID=${UserID}`,
      {},
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  Reject(BeneficiaryNo: any = 0, UserID: any, IsAuth: any) {
    return this.http.post(
      `${environment.apiUrl}/api/transaction/beneficiary-checker/view-reject?BeneficiaryNo=${BeneficiaryNo}&IsAuth=${IsAuth}&UserID=${UserID}`,
      {},
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
