import { Component, OnInit } from '@angular/core';
import { CountryWiseCurrencyRateService } from '../services/country-wise-currency-rate.service';

@Component({
  selector: 'app-country-wise-currency-rate',
  templateUrl: './country-wise-currency-rate.component.html',
  styleUrls: ['./country-wise-currency-rate.component.css'],
})
export class CountryWiseCurrencyRateComponent implements OnInit {
  currencyRates: any[] = [];
  isLoading: boolean = false;

  constructor(private currencyService: CountryWiseCurrencyRateService) {}

  ngOnInit(): void {
    this.getCurrencyRates();
  }
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }

  getCurrencyRates() {
    this.isLoading = true;
    this.currencyService.getViewDailyRatesReport().subscribe(
      (data: any) => {
        this.currencyRates = data;
        this.isLoading = false;

     
      },
      (error) => {
        console.error(error);
        this.isLoading = false;

      }
    );
  }
}
