import { Component } from '@angular/core';
import { DownloadTransactionsFileService } from '../download-transactions-file.service';
import { ToastrService } from 'ngx-toastr';

@Component({
  selector: 'app-download-transaction',
  templateUrl: './download-transaction.component.html',
  styleUrls: ['./download-transaction.component.css'],
})
export class DownloadTransactionComponent {
  selectedCountry: any = '0';
  selectedBank: any = '0';
  isLoading: boolean = false;

  constructor(
    private downloadTransactionFileSvc: DownloadTransactionsFileService,
    private toastrSvc: ToastrService

  ) { }

  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }

  getTransaction() {
    if (this.selectedCountry == '0') {
      alert('Please Select Country.');
      return;
    }
    if (this.selectedBank == '0') {
      alert('Please Select Bank.');
      return;
    }
    this.isLoading = true;

    this.downloadTransactionFileSvc
      .downloadTransaction(this.selectedCountry, this.selectedBank)
      .subscribe({
        next: (res: any) => {
          // alert(res);
          this.toastrSvc.success(res);
        },
        error: (err: any) => {
          // alert(err?.error?.message);
          this.toastrSvc.error(err?.error?.message);
          this.isLoading = false;
        },
        complete: () => {
          this.isLoading = false;
        },
      });
  }
}
