import { Component } from '@angular/core';
import { ManageUserGroupRightsService } from '../manage-user-group-rights.service';
import { ToastrService } from 'ngx-toastr';

@Component({
  selector: 'app-manage-user-group-rights',
  templateUrl: './manage-user-group-rights.component.html',
  styleUrls: ['./manage-user-group-rights.component.css'],
})
export class ManageUserGroupRightsComponent {
  groupList: any;
  subGroupList: any;
  GroupId: any;
  subGroupId: any;
  accessList: any = [];
  constructor(private ManageUserGroupRightsSvc: ManageUserGroupRightsService,
    private toastrSvc: ToastrService

  ) { }
  ngOnInit(): void {
    this.getGroup();
  }

  getGroup() {
    this.ManageUserGroupRightsSvc.getGroup().subscribe({
      next: (res: any) => {
        this.groupList = res;
      },
      error: (err) => { },
      complete: () => { },
    });
  }

  onSelectGroup(GroupId) {
    this.GroupId = GroupId;
    this.getSubGroup(GroupId);
  }
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }

  getSubGroup(GroupId) {
    this.ManageUserGroupRightsSvc.getSubGroup(GroupId).subscribe({
      next: (res: any) => {
        this.subGroupList = res;
      },
      error: (err) => { },
      complete: () => { },
    });
  }

  onSelectSubGroup(subGroupId) {
    this.subGroupId = subGroupId;
  }

  getAccess() {
    if (!this.GroupId) {
      alert('Please Select Group.');
      return;
    }
    if (!this.subGroupId) {
      alert('Please Select User.');
      return;
    }
    this.ManageUserGroupRightsSvc.getAccess(
      this.GroupId,
      this.subGroupId
    ).subscribe({
      next: (res: any) => {
        this.accessList = res;
      },
      error: (err) => { },
      complete: () => { },
    });
  }

  isUpdated() {
    return this.accessList
      .filter((con) => con)
      .map((con) => ({
        GroupId: con.Group_Id,
        SubUserGroupId: con.SubUserGroup_Id,
        FunctionID: con.FunctionID,
        FirstFunctionID: con.FirstFunctionID,
        SecondFunctionID: con.SecondFunctionID,
        ThirdFunctionID: con.ThirdFunctionID,
        FourthFunctionID: con.FourthFunctionID,
        IschkLevel1: con.FirstActive,
        IschkLevel1Visible: true,
        IschkLevel2: con.SecondActive,
        IschkLevel2Visible: true,
        IschkLevel3: con.ThirdActive,
        IschkLevel3Visible: true,
        IschkLevel4: con.FourthActive,
        IschkLevel4Visible: true,
        IschkAccessAdd: con.Access_Add,
        IschkAccessAddVisible: con.Access_Add,
        IschkAccessEdit: con.Access_Edit,
        IschkAccessEditVisible: con.Access_Edit,
        IschkAccessDelete: con.Access_Delete,
        IschkAccessDeleteVisible: con.Access_Delete,
        IschkAccessView: con.Access_View,
        IschkAccessViewVisible: con.Access_View,
        IschkAccessApproveVisible: con.Access_Approve,
        IschkAccessApprove: con.Access_Approve,
      }));
  }
  setAccess() {
    const payload = this.isUpdated();

    this.ManageUserGroupRightsSvc.setAccess(payload).subscribe({
      next: (res: any) => {
        // alert('Updated successfully.');
        this.toastrSvc.success('Updated successfully.')
      },
      error: (err) => {
        this.toastrSvc.error(err?.error?.message)
      },
      complete: () => { },
    });
  }
}
