import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class BeneficiaryComplianceReleaseReportRejectService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getAllRecords(beneficiaryNo: any) {
    return this.http.get(
      `${environment.apiUrl}/api/complicance/beneficiary-complicance-release/all-record?BeneficiaryNo=${beneficiaryNo}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getStatusRecords(status: string) {
    return this.http.get(
      `${environment.apiUrl}/api/complicance/beneficiary-complicance-release/all-record?status=${status}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  complicanceOfacLogDetails(TransactionNumber: string) {
    return this.http.get(
      `${environment.apiUrl}/api/complicance/beneficiary-complicance-release/ofac-log-details?TransactionNumber=${TransactionNumber}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
