import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class RebateReportService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getAgentList(): Observable<any> {
    return this.http.get(
      `${this.url}/api/master/reports/rebet-report/agent-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getPaymentModeList(agentId: any): Observable<any> {
    return this.http.get(
      `${this.url}/api/master/reports/rebet-report/payment-mode-list?AgentID=${agentId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getFillGrid(
    agentId: any,
    paymentModeId: any,
    fromDate: string,
    toDate: string
  ): Observable<any> {
    return this.http.get(
      `${this.url}/api/master/reports/rebet-report/fill-grid?AgentId=${agentId}&PaymentModeID=${paymentModeId}&FromDate=${fromDate}&ToDate=${toDate}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
