import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class RelationshipManagementService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getRelationList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/cust-bene-relation-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getRelationListByRelationName(relation_name: any = '') {
    return this.http.get(
      `${environment.apiUrl}/api/master/cust-bene-relation-list?Relation_Name=${relation_name}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  addRelationManagement(payload: any = {}) {
    return this.http.post(
      `${environment.apiUrl}/api/master/add-cust-bene-relation`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  editRelation(id: any = '') {
    return this.http.get(
      `${environment.apiUrl}/api/master/cust-bene-relation-edit-record?ID=${id}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  updateRelationManagement(payload: any = {}) {
    return this.http.patch(
      `${environment.apiUrl}/api/master/update-cust-bene-relation`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
