import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class TransactionsStatusReportService {
  private baseUrl = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getTransactionStatusPaidUnpaidReportByCCY(agentAccountId: any): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: getCacheData('admin_token'),
      Accept: 'application/json',
      username: getCacheData('username'),
    });
    return this.http.get(
      `${this.baseUrl}/api/master/reports/txn-status-paid-unpaid-report/ccy?AgentAccountID=${agentAccountId}`,
      { headers: headers }
    );
  }

  getTransactionStatusPaidUnpaidReportByBranch(agentAccountId: any): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: getCacheData('admin_token'),
      Accept: 'application/json',
      username: getCacheData('username'),
    });
    return this.http.get(
      `${this.baseUrl}/api/master/reports/txn-status-paid-unpaid-report/branch?AgentAccountID=${agentAccountId}`,
      { headers: headers }
    );
  }

  getTransactionStatusPaidUnpaidReportByAgentAccount(sessionGAgentId: any=0): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: getCacheData('admin_token'),
      Accept: 'application/json',
      username: getCacheData('username'),
    });
    return this.http.get(
      `${this.baseUrl}/api/master/reports/txn-status-paid-unpaid-report/agent-account?SessionG_Agent_ID=${sessionGAgentId}`,
      { headers: headers }
    );
  }

  getTransactionStatusReport(): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: getCacheData('admin_token'),
      Accept: 'application/json',
      username: getCacheData('username'),
    });
    return this.http.get(
      `${this.baseUrl}/api/master/reports/txn-status-paid-unpaid-report/status`,
      { headers: headers }
    );
  }
}
